org.wso2.carbon.device.mgt.iot.androidsense.service.impl

## Interface AndroidSenseService

- All Known Implementing Classes:
    AndroidSenseServiceImpl

      public interface AndroidSenseService

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.ws.rs.core.Response` | `getAndroidSenseDeviceStats(String deviceId, String sensor, long from, long to)` Retrieve Sensor data for the device type
    `javax.ws.rs.core.Response` | `register(String deviceId, String deviceName)` Enroll devices.
    `javax.ws.rs.core.Response` | `removeKeyWords(String deviceId, String words)` End point to remove key words from the device
    `javax.ws.rs.core.Response` | `sendKeyWords(String deviceId, String keywords)` End point to send the key words to the device
    `javax.ws.rs.core.Response` | `sendThreshold(String deviceId, String threshold)` End point to send the key words to the device

- - ### Method Detail

    - #### sendKeyWords

          javax.ws.rs.core.Response sendKeyWords(String deviceId,
                                               String keywords)

      End point to send the key words to the device
      Parameters:
        `deviceId` - The registered device Id.
        `keywords` - The key words to be sent. (Comma separated values)

    - #### sendThreshold

          javax.ws.rs.core.Response sendThreshold(String deviceId,
                                                String threshold)

      End point to send the key words to the device
      Parameters:
        `deviceId` - The registered device Id.
        `threshold` - The key words to be sent. (Comma separated values)

    - #### removeKeyWords

          javax.ws.rs.core.Response removeKeyWords(String deviceId,
                                                 String words)

      End point to remove key words from the device

    - #### getAndroidSenseDeviceStats

          javax.ws.rs.core.Response getAndroidSenseDeviceStats(String deviceId,
                                                             String sensor,
                                                             long from,
                                                             long to)

      Retrieve Sensor data for the device type

    - #### register

          javax.ws.rs.core.Response register(String deviceId,
                                           String deviceName)

      Enroll devices.

Copyright © 2017 WSO2. All rights reserved.